GET
List deliveries

Authorizations

Authorization
string
header
required

Provide your API key in the Authorization header using Bearer auth

Path Parameters

endpoint_id
string
required

Endpoint ID (whep_ prefix)

Query Parameters

status
string

Filter by status: pending / delivered / failed / dead

limit
integer<int32>

Page size, 20 by default, at most 100

after
string

Cursor: the last_id of the previous page

Response

OK

List (OpenAI format, cursor pagination)

object
string

Always list

Example:

"list"

data
object[]

Data

first_id
string

ID of the first item

last_id
string

ID of the last item; pass it as after to get the next page

has_more
boolean

Whether more items are available

total_count
integer<int64>

Total count (only with include[]=total_count)